////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////
//                                             __              ////
//      __  ___ ______  ______________  ______/ /_____ _______   ///
//     /  `/   `_  __ `/__  ___/_  __ `/_  __  /__  __ \__  __\  ////
//    / /\_,/ / / /_/ /  / /    / /_/ / / /_/ /  / /_/ / / /     ////
//   /_/   /_/  \__,_/  /_/     \__,_/  \__,_/   \____/ /_/      ////
//                                                               ///
//  [FACTION]                                                  ////
//////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////
// ... my first shader   ///
//////////////////////////


textures/digital/clip
{
	qer_editorimage textures/digital/clip.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
        surfaceparm playerclip
	surfaceparm noimpact
}

textures/digital/caulk
{
	qer_editorimage textures/digital/caulk.tga
	surfaceparm nodraw
	surfaceparm nomarks
        surfaceparm nolightmap
}

textures/digital/planetlan
{
	qer_editorimage textures/digital/planetlan1.tga
        //q3map_surfacelight 15
	surfaceparm nolightmap
	surfaceparm nomarks
	
	{
		animMap 0.25 textures/digital/planetlan1.tga textures/digital/planetlan1.tga textures/digital/planetlan1.tga textures/digital/planetlan2.tga textures/digital/planetlan3.tga textures/digital/planetlan4.tga
	}
  		
}  

textures/digital/light
{
	qer_editorimage textures/digital/light.tga
	surfaceparm metalsteps
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 250
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		
		map textures/digital/light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/digital/light.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/digital/sky
{
	qer_editorimage textures/digital/sky1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 1024
	q3map_sun 0.5 0.5 0.5 60 50 80
	q3map_surfacelight 25 //100
	skyparms full 200 -

	{
		map textures/digital/sky2.tga
		tcMod scroll 0.05 0.02
		tcMod scale 1 1
		depthWrite
	}
	{
		map textures/digital/sky1.tga
		rgbGen wave sin 0.5 0.5 0 0.05
		tcMod scroll -0.07 -0.06
		tcMod scale 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/digital/signature
{
	qer_editorimage textures/digital/signature.tga
	surfaceparm nomarks
	surfaceparm metalsteps

	{
		map textures/digital/texture2.jpg
		tcGen environment
		tcMod scale 1.5 1.5
		rgbGen identity
	}
	{
		map textures/digital/signature.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/digital/texture
{
	qer_editorimage textures/digital/texture.tga
	surfaceparm nomarks
	surfaceparm metalsteps

	{
		map textures/digital/texture2.jpg
		tcGen environment
		tcMod scale 1.5 1.5
		rgbGen identity
	}
	{
		map textures/digital/texture.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

